#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 5

Name:           kio-gopher
Version: 0.1.99
Release:        %mkrel %{rel}
Summary:        Gopher KIO Slave for Plasma5
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://userbase.kde.org/Kio_gopher
Source0:        http://download.kde.org/unstable/kio-gopher/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)

Recommends:     %{name}-handbook

%description
Kio-gopher provides support for the "gopher:" protocol in konqueror and in
other kde applications. this allows you to display web contents using the
gopher protocol.

%files -f kio5_gopher.lang
%doc README
%license COPYING
%{_kf5_plugindir}/kio/gopher.so

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gopher handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides kio-gopher handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/gopher/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang kio5_gopher


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.1.99-5.mga8
+ Revision: 1658722
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.99-4.mga8
+ Revision: 1524673
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.1.99-3.mga7
+ Revision: 1382511
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.99-2.mga7
+ Revision: 1298558
- Mageia 7 Mass Rebuild

* Fri Dec 16 2016 daviddavid <daviddavid> 0.1.99-1.mga6
+ Revision: 1075734
- initial package kio-gopher (Kf5 based)


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-5mdv2011.0
+ Revision: 612611
- the mass rebuild of 2010.1 packages

* Sun Feb 21 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.1.3-4mdv2010.1
+ Revision: 508861
- Using kde 4.4 tarball

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.3-3mdv2010.1
+ Revision: 465241
- Rebuild against new Qt

* Sat Nov 07 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.1.3-2mdv2010.1
+ Revision: 462412
- First import
- import kio-gopher


* Sun Nov 07 2009 Daniel Lucio <dlucio@okay.com.mx> 0.1.3-1mdv2010.0
- Fist intent
